# Communication Activity

**Summary:** Endpoints for Communication Activity

- Role: [Developers](https://www.subrite.no/developers)
- Source: https://www.subrite.no/developers/communication-activity
- Updated: 2026-10-13
- Markdown index: https://www.subrite.no/developers/llms.txt

<a id="post-api-v1-communication-activity-sendgrid-webhook"></a>
## Handle sendgrid email activity webhook and save activity to database

`POST /api/v1/communication-activity/sendgrid/webhook`

**Authentication:** Bearer token (JWT)

### Request body

Content type: `application/json` · Required · `array of string`

**Example request body**

`application/json`

```json
[
  "string"
]
```

### Responses

#### 201

#### 401

Content type: `application/json` · `ErrorResponse`

unauthorized

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` |   |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Handle sendgrid email activity webhook and save activity to database (401)](https://www.subrite.no/developers/communication-activity?md=true#post-api-v1-communication-activity-sendgrid-webhook).

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Handle sendgrid email activity webhook and save activity to database (401)](https://www.subrite.no/developers/communication-activity?md=true#post-api-v1-communication-activity-sendgrid-webhook).

### Example request

```bash
curl https://api.subrite.no/api/v1/communication-activity/sendgrid/webhook \
  --request POST \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '[
  "string"
]'
```

<a id="post-api-v1-communication-activity-teletopia-webhook"></a>
## Handle teletopia sms activity webhook and save activity to database

`POST /api/v1/communication-activity/teletopia/webhook`

**Authentication:** Bearer token (JWT)

### Request body

Content type: `application/json` · Required · `TeletopiaWebhookEvent`

| Name | Type | Description |
| --- | --- | --- |
| `messageId` (Required) | `string` |   |
| `clientRef` (Required) | `string` |   |
| `delivered` | `number` |   |
| `statusCode` | `number` |   |
| `time` | `string` |   |
| `timestamp` | `number` |   |
| `mcc` | `string` |   |
| `mnc` | `string` |   |
| `partCount` | `number` |   |

**Example request body**

`application/json`

```json
{
  "messageId": "string",
  "clientRef": "string",
  "delivered": 0,
  "statusCode": 0,
  "time": "string",
  "timestamp": 0,
  "mcc": "string",
  "mnc": "string",
  "partCount": 0
}
```

### Responses

#### 200

#### 401

Content type: `application/json` · `ErrorResponse`

unauthorized

Same fields as [Handle sendgrid email activity webhook and save activity to database (401)](https://www.subrite.no/developers/communication-activity?md=true#post-api-v1-communication-activity-sendgrid-webhook).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Handle sendgrid email activity webhook and save activity to database (401)](https://www.subrite.no/developers/communication-activity?md=true#post-api-v1-communication-activity-sendgrid-webhook).

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Handle sendgrid email activity webhook and save activity to database (401)](https://www.subrite.no/developers/communication-activity?md=true#post-api-v1-communication-activity-sendgrid-webhook).

### Example request

```bash
curl https://api.subrite.no/api/v1/communication-activity/teletopia/webhook \
  --request POST \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "messageId": "string",
  "clientRef": "string",
  "delivered": 0,
  "statusCode": 0,
  "time": "string",
  "timestamp": 0,
  "mcc": "string",
  "mnc": "string",
  "partCount": 0
}'
```
